Package twisted :: Package spread :: Module flavors :: Class Root

[show private | hide private]
[frames | no frames]

## Class Root

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       Root

Known Subclasses:
  `AuthRoot`, `ResourcePublisher`

I provide a root object to `pb.Broker`s for a `pb.BrokerFactory`.

When a `pb.BrokerFactory` produces a `pb.Broker`, it supplies that `pb.Broker` with an object named "root". That object is obtained by calling my rootObject method.

See also: `pb.getObjectAt`

Method Summary
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)
| ``rootObject`(self, broker)` A `pb.BrokerFactory`is requesting to publish me as a root object.

Method Details

### rootObject(self, broker)

A `pb.BrokerFactory` is requesting to publish me as a root object.

When a `pb.BrokerFactory` is sending me as the root object, this method will be invoked to allow per-broker versions of an object. By default I return myself.

Generated by Epydoc 1.1 on Thu May 8 13:16:53 2003 | http://epydoc.sf.net